Get query results
Send a query to a query profile, using the Solr query language.
The response contains matching documents, plus statistics about the query operation.
Use the /api/query-profiles endpoint to get the query profile ID for this request. For a Domain Search Language (DSL) search, see the POST method for this endpoint.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The query profile ID.
Query Parameters
The query terms, using the Solr query language.
Additional Solr query parameters. The parameters of the query request.
Response
OK
The search response.
Spellcheck results.
The query result documents and statistics.
{
"response": {
"numFound": 106,
"start": 0,
"docs": [
{
"title": [
"Solr and SolrAdmin APIs - Fusion Documentation - Lucidworks"
]
},
{
"title": [
"Solr and SolrAdmin APIs - Fusion Documentation - Lucidworks"
]
},
{
"title": [
"Search Clusters - Fusion Documentation - Lucidworks"
]
},
{
"title": [
"Search Clusters - Fusion Documentation - Lucidworks"
]
},
{
"title": [
"Searching - Fusion Documentation - Lucidworks"
]
}
]
},
"responseHeader": {
"status": 0,
"QTime": 1,
"params": {
"fl": "title",
"lw.pipelineId": "default",
"q": "solr",
"wt": "json",
"rows": "5",
"defType": "edismax"
}
}
}Counts of facets matching the query.
Highlight snippets per matching document, if requested.